pipeline {
    agent any
    stages {
        stage('Build') {
             steps {
                bat 'mvn clean install -DskipTests'
              }
         }
        stage('Test') {
            steps {
                bat 'mvn test'
            }
        }
    }
    post {
        always {
             cucumber buildStatus: 'UNSTABLE',
             fileIncludePattern: "**/cucumberTestReport.json",
             jsonReportDirectory: 'target'
        }
        failure {
            echo "FALHA AO GERAR RELATORIO!"
        }
    }
}